<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>es002</title>
    <script src="https://unpkg.com/vue@3/dist/vue.global.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bulma@1.0.0/css/bulma.min.css">
</head>
<body>
    <div class="columns ml-6 mt-6" id="root">
        <div class="column is-one-quarter">
            <h1 class="title">es002 memo</h1>
            <label class="label">memo</label>
            <input class="input mb-2" type="text" placeholder="add a memo" v-model="text" />
            <button class="button is-primary mr-2" v-on:click="addMemo(text)">add</button>
            <button class="button is-danger" v-if="memos.length != 0" v-on:click="deleteAll">delete all</button>
        </div>
        <div class="column auto">
            <div class="mb-2" v-for="(item, index) in memos">
                <div class="tags has-addons">
                    <span class="tag is-dark">{{ item.text }}</span>
                    <a class="tag is-delete" v-on:click="deleteMemo(index)"></a>
                </div>
            </div>
        </div>
    </div>
    <script src="app.js"></script>
</body>

</html>